
Basic Installation
==================

The simplest way to compile this package is:

  1. `cd' to the directory containing the package's source code and type
     `./autogen.sh' to configure the package for your system. Script
     autogen.sh calls more commonly known autodetect script
     `configure'. All command line options given to `autogen.sh' will be
     passed further to `configure'.

     Running `autogen.sh' takes awhile.  While running, it prints some
     messages telling which features it is checking for.

  2. Type `make' to compile the package.

  3. Type `make install' to install the programs and any data files and
     documentation. You may need to be root at this point to be able
     to install into system-wide directory like "/usr" or
     "/usr/local". Directory where binaries and documentation is
     installed depends on the command-line parameter "--prefix" given
     to autogen.sh ( and subsequently to `configure' ).

  4. You can remove the program binaries and object files from the
     source code directory by typing `make clean'.  To also remove the
     files that `autogen.sh' created (so you can compile the package for
     a different kind of computer), type `make distclean'.  


Installation Names
==================

   By default, `make install' will install the package's files in
`/usr/local/bin', `/usr/local/man', etc.  You can specify an
installation prefix other than `/usr/local' by giving `autogen.sh' the
option `--prefix=PATH'.

Optional Features
=================

   Some packages pay attention to `--enable-FEATURE' options to
`configure', where FEATURE indicates an optional part of the package.
They may also pay attention to `--with-PACKAGE' options, where PACKAGE
is something like `gnu-as' or `x' (for the X Window System).  


`configure' recognizes the following options to control how it
operates.

`--with-templatedir=DIR'
        Specify directory path for fwbuilder template files

`--with-iconsdir=DIR'
        Specify directory path for icons

`--with-docdir=DIR'
        Specify directory path for libfwbuilder documentation files

`--with-stlport'
        use STLport library (default is NO)

`--cache-file=FILE'
     Use and save the results of the tests in FILE instead of
     `./config.cache'.  Set FILE to `/dev/null' to disable caching, for
     debugging `autogen.sh'.

`--help'
     Print a summary of the options to `autogen.sh', and exit.

`--quiet'
`--silent'
`-q'
     Do not print messages saying which checks are being made.  To
     suppress all normal output, redirect it to `/dev/null' (any error
     messages will still be shown).

`--version'
     Print the version of Autoconf used to generate the `autogen.sh'
     script, and exit.

`configure' also accepts some other, not widely useful, options.
